Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 507298 (CVE-2014-4174) - <net-analyzer/wireshark-1.10.4: libpcap file parser crash (CVE-2014-4174)
Summary: <net-analyzer/wireshark-1.10.4: libpcap file parser crash (CVE-2014-4174)
Status: RESOLVED FIXED
Alias: CVE-2014-4174
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://www.wireshark.org/security/wnp...
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-10 09:01 UTC by Agostino Sarubbo
Modified: 2014-07-01 19:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-04-10 09:01:13 UTC
From ${URL} :

It was reported that the libpcap file parser could crash.  It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This is reported to affect Wireshark versions 1.10.0 to 1.10.3 and is fixed in 1.10.4.  According to the upstream bug report, it was only ever reproduced in Windows, however the upstream advisory does not indicate that it is Windows-only.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9753


External References:

http://www.wireshark.org/security/wnpa-sec-2014-05.html


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-06-29 09:20:16 UTC
@jer, this is already fixed by another bug it seems, but why are you removed the CVE identifier from the header?  It is right.
Comment 2 Jeroen Roovers gentoo-dev 2014-06-29 12:58:30 UTC
(In reply to Mikle Kolyada from comment #1)

I removed what exactly?
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2014-06-29 16:14:43 UTC
This issue was resolved and addressed in
 GLSA 201406-33 at http://security.gentoo.org/glsa/glsa-201406-33.xml
by GLSA coordinator Mikle Kolyada (Zlogene).